Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030954
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementtrivialalways2015-09-29 10:342017-05-16 11:34
ReporteraferrazView Statuspublic 
Assigned Toaferraz 
PrioritylowResolutionfixedFixed in Version3.0PR16Q1
StatusclosedFix in branchFixed in SCM revisione7bf20e738da
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionProfessional ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030954: NPE in Payment In/Out when selecting a BP with no default payment method or financial account

DescriptionWhen selecting a Business Partner in Payment In or Payment Out window without a defualt Payment Method or a default Financial Account, a NPE is raised in SE_Payment_BPartner.java callout.
Steps To ReproduceGo to Business Partner window and select "Alimentos y Supermercados, S.A"
Move to Customer tab and leave Payment Method and Financial Account empty.

Go to Payment In, and create a new header.
Select "Alimentos y Supermercados, S.A" as Received From
Realize a NPE is raised in the log.

The same happens in Payment Out window.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0029368 closedjorge-garcia It is possible to create a payment header when a payment method is disabled in a given financial account 
related to defect 0040465 closedAtulOpenbravo NPE is thrown in SE_Payment_BPartner callout 

-  Notes
(0080825)
psanjuan (manager)
2015-10-05 15:03
edited on: 2015-10-06 12:03

Test Plan
Do not apply the patch

Go to Business Partner window and select "Alimentos y Supermercados, S.A"
Move to Customer tab and leave Payment Method and Financial Account empty.

Go to Payment In, and create a new header.
Select "Alimentos y Supermercados, S.A" as Received From
Realize a NPE is raised in the log (Eclipse, if configured as log4j.category.reloadXml=DEBUG)

ERROR org.openbravo.erpCommon.ad_callouts.SE_Payment_BPartner - Error captured:
java.lang.NullPointerException

Apply the patch.

Follow the same steps and verify that the NPE is not shown but this message:
INFO org.openbravo.erpCommon.ad_callouts.SE_Payment_BPartner - No default info for the selected business partner

(0080841)
psanjuan (manager)
2015-10-06 12:03

Test Plan above verified.
(0082780)
hgbot (developer)
2015-12-15 18:25

Repository: erp/devel/pi
Changeset: e7bf20e738da0845ea7aed3fa64e2c495a3b9320
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Sep 29 12:00:47 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e7bf20e738da0845ea7aed3fa64e2c495a3b9320 [^]

Fixes issue 30954: NPE in SE_Payment_BPartner callout

A NPE was raised in SE_Payment_BPartner callout, when selecting a business partner in Payment In or Payment Out window with no default payment method or financial account.

---
M src/org/openbravo/erpCommon/ad_callouts/SE_Payment_BPartner.java
---
(0082781)
vmromanos (developer)
2015-12-15 18:25

Code review OK
(0082843)
hudsonbot (developer)
2015-12-17 17:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7bb1cbcee3ce [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-09-29 10:34 aferraz New Issue
2015-09-29 10:34 aferraz Assigned To => aferraz
2015-09-29 10:34 aferraz Modules => Core
2015-09-29 10:34 aferraz Triggers an Emergency Pack => No
2015-09-29 10:41 aferraz Relationship added related to 0029368
2015-10-05 15:03 psanjuan Note Added: 0080825
2015-10-06 12:03 psanjuan Note Edited: 0080825 View Revisions
2015-10-06 12:03 psanjuan Note Added: 0080841
2015-12-15 18:12 vmromanos Status new => scheduled
2015-12-15 18:25 hgbot Checkin
2015-12-15 18:25 hgbot Note Added: 0082780
2015-12-15 18:25 hgbot Status scheduled => resolved
2015-12-15 18:25 hgbot Resolution open => fixed
2015-12-15 18:25 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e7bf20e738da0845ea7aed3fa64e2c495a3b9320 [^]
2015-12-15 18:25 vmromanos Review Assigned To => vmromanos
2015-12-15 18:25 vmromanos Note Added: 0082781
2015-12-15 18:25 vmromanos Status resolved => closed
2015-12-17 17:49 hudsonbot Checkin
2015-12-17 17:49 hudsonbot Note Added: 0082843
2017-05-16 11:34 aferraz Fixed in Version => 3.0PR16Q1
2019-03-27 11:25 caristu Relationship added related to 0040465


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker